<ul class="menu-bar d-none d-sm-none d-md-block ps-0 m-0"
    (clickOutside)="onClickedOutside($event)">
  <li class="menu search-location"
      (clickOutside)="searchLocation.isActive = false">
    <svg class="icon"
         width="15"
         height="15"
         viewBox="0 0 20 20"
         fill="none"
         xmlns="http://www.w3.org/2000/svg">
      <path fill-rule="evenodd"
            clip-rule="evenodd"
            d="M14.7549 16.03C13.1944 17.3437 11.1857 18.1342 8.99374 18.1342C4.02663 18.1342 0 14.0747 0 9.0671C0 4.05948 4.02663 0 8.99374 0C13.9608 0 17.9875 4.05948 17.9875 9.0671C17.9875 11.2712 17.2074 13.2916 15.9104 14.8631L19.7487 18.5812C20.0744 18.8967 20.0849 19.4186 19.772 19.7469C19.4591 20.0751 18.9415 20.0855 18.6158 19.77L14.7549 16.03ZM16.3524 9.06699C16.3524 13.1641 13.0579 16.4855 8.99389 16.4855C4.9299 16.4855 1.63538 13.1641 1.63538 9.06699C1.63538 4.96985 4.9299 1.64846 8.99389 1.64846C13.0579 1.64846 16.3524 4.96985 16.3524 9.06699Z"
            fill="#EBEBEB" />
    </svg>
    <input type="text"
           name="search-location"
           class="form-control"
           placeholder="Temukan Alamat atau tempat"
           (input)="findSuggestLocation($event)"
           [(ngModel)]="searchLocation.address" />
    <ul [ngClass]="(searchLocation.isActive) ? 'active-search' : ''">
      <li *ngFor="let location of listLocation"
          (click)="goToLocation(location.magicKey)">
        {{ location.text}}
      </li>
    </ul>
  </li>
  <li class="menu export">
    <div class="d-flex align-items-center">
      <button type="button"
              class="button"
              title="Ekspor"
              (click)="setActiveMenu('export')">
        <svg-icon src="assets/icons/export.svg"
                  class="icon"></svg-icon>
        <svg-icon src="assets/icons/export.svg"
                  class="me-1 invisible"></svg-icon>
        <span>Ekspor</span>
      </button>
    </div>

    <div class="panel {{ (activeMenu == 'export') ? 'panel-open' : '' }}">
      <span class="caret"></span>
      <div class="panel-body">
        <app-export-map></app-export-map>
      </div>
    </div>
  </li>
  <li class="menu maps">
    <button type="button"
            class="button"
            title="Peta"
            (click)="setActiveMenu('map')">
      <svg-icon src="assets/icons/maps.svg"
                class="icon me-1"></svg-icon> <span>Peta</span>
    </button>
    <div class="panel {{ (activeMenu == 'map') ? 'panel-open' : '' }}">
      <span class="caret"></span>
      <div class="panel-body">
        <app-basemap-setting></app-basemap-setting>
      </div>
    </div>
  </li>
  <li class="menu">
    <a routerLink="/about"
       routerLinkActive="active"
       target="_blank">
      <button type="button"
              class="button"
              title="Tentang">
        <svg-icon src="assets/icons/circle-info.svg"
                  class="icon me-1"></svg-icon>
        <span>Tentang</span>
      </button>
    </a>
  </li>
  <li class="menu">
    <a routerLink="/help"
       routerLinkActive="active"
       target="_blank">
      <button type="button"
              class="button"
              title="Bantuan">
        <svg-icon src="assets/icons/circle-question.svg"
                  class="icon me-1"></svg-icon>
        <span>Bantuan</span>
      </button>
    </a>
  </li>
  <li class="menu user">
    <button type="button"
            class="button btn-login px-3 py-2"
            title="Login"
            (click)="openModal(content)"
            *ngIf="!this.isLoggedIn">
      <span>Log In</span>
    </button>
    <button type="button"
            class="button btn-user rounded-circle"
            title="User"
            *ngIf="isLoggedIn"
            (click)="setActiveMenu('user')"
            [ngClass]="{'bg-green-700': loginUser.role_name === 'walidata' || loginUser.role_name === 'superadmin', 'bg-blue-700': loginUser.role_name === 'opd', 'bg-yellow-700': loginUser.role_name === 'opd-view'}">
      <svg-icon src="assets/icons/avatar.svg"></svg-icon>
    </button>
    <div class="panel {{ (activeMenu == 'user') ? 'panel-open' : '' }}">
      <span class="caret"></span>
      <div class="panel-body p-3">
        <div class="username mb-2">{{ loginUser.name }}</div>
        <div class="rolename">{{ loginUser.role_title }}</div>
      </div>
      <div class="panel-footer p-2">
        <button class="button btn-logout mx-1 px-3 py-2"
                (click)="logout()">
          Log Out
        </button>
      </div>
    </div>
  </li>
</ul>
<ng-template #content
             let-modal>
  <div class="modal-body">
    <div class="container-fluid">
      <div class="row">
        <div class="col px-4 py-4">
          <button #closeAddExpenseModal
                  type="button"
                  class="close"
                  aria-label="Close"
                  (click)="modal.dismiss('Cross click')"
                  style="font-size:2em;">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
      </div>
      <div class="row mb-5">
        <div class="col px-3 py-2">
          <app-form-login></app-form-login>
        </div>
      </div>
    </div>
  </div>
</ng-template>

<ngx-loading [show]="loading"
             [config]="{backdropBorderRadius: '3px'}"></ngx-loading>